%define module Digest-SHA

Summary: Perl extension for SHA-1/224/256/384/512
Name: perl-%module
Version: 5.43
Release: alt0.M30
License: GPL or Artistic
Group: Development/Perl
URL: http://search.cpan.org/dist/%module/
Source: ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Digest/%module-%version.tar.gz

BuildRequires: perl-devel perl-Devel-Symdump perl-Pod-Coverage perl-Pod-Escapes perl-Pod-Simple perl-Test-Pod perl-Test-Pod-Coverage

%description
Digest::SHA is a complete implementation of the NIST Secure Hash
Standard. It gives Perl programmers a convenient way to calculate SHA-1,
SHA-224, SHA-256, SHA-384, and SHA-512 message digests. The module can
handle all types of input, including partial-byte data.

%prep
%setup -q -n %module-%version

%build
%perl_vendor_build

%install
%perl_vendor_install
#rm -f %buildroot/.perl.req

%files
%_bindir/*
%perl_vendor_archlib/Digest/
%perl_vendor_archlib/auto/Digest/
%_man1dir/*
%_man3dir/*

%changelog
* Wed Oct 25 2006 Serhii Hlodin <hlodin@altlinux.ru> 5.43-alt0.M30
- Backport to Compact 3.0 

* Thu Aug 31 2006 Victor Forsyuk <force@altlinux.ru> 5.43-alt1
- Initial build.
